.language__list {
  @include list-reset;

  flex-direction: column;
  display: flex;
  padding: 8px 10px;
  border: 1px solid $cream;
  border-radius: 13px;
  padding-left: 56px;
}

.language__arrow {
  position: absolute;
  width: calc(100% - 10px);
  height: 28px;
  left: 10px;
  top: 8px;

  svg {
    fill: $brown;
    width: 28px;
    height: 28px;
  }
}

.language__item {
  font-family: $second-font;
  text-transform: capitalize;
  font-size: 18px;
  line-height: 24px;
  color: $white;

  &--current {
    order: -1;
  }

  &:not(.language__item--current) {
    display: none;
  }
}

.language {
  &--active {
    .language__item {
      &:not(.language__item--current) {
        display: block;
      }
    }
  }
}

@media (min-width: 1280px) {
  .language {
    &--active {
      .language__list {
        &::after {
          transform: rotate(180deg);
        }
      }
    }
  }
  .language__list {
    padding-left: 50px;
    padding-right: 25px;
    cursor: pointer;
    padding-top: 10px;
    background-color: $white;
    padding-bottom: 0;

    &::after {
      @include pseudo;
      background-image: url("../images/dropdown.svg");
      position: absolute;
      right: 10px;
      transition: all 0.3s;
      top: 19px;
      width: 8px;
      height: 8px;
    }
  }

  .language__arrow {
    cursor: pointer;

    svg {
      fill: $green;
    }
  }

  .language__item {
    color: $brown;
    margin-bottom: 10px;
  }
}
